Subject: Re: Running Win10 after end of life

From: David Schwartz via PLUG-discuss <[email-masked]>
Date: Sat, 17 May 2025 15:27:15 -0700

> On May 16, 2025, at 5:12 PM, [email-masked] wrote:
> 
> David,
> 
> This is an interesting concept.  Are suggesting using a IOT O/S on a Work Station?
> 
> - Keith
> 

I don’t know why people ask this — I searched Google for these license options and it’s a common question. IOT and LTSC are just Windows releases without all the bloatware, but with a different license and update schedules.

Gamers, which make up ~25% of all Windows users, seem to account for a far greater amount of noise and complaints than the majority of users, most of whom have no say in it because it’s just what came installed on their computer.

For them, there are open-source projects available to remove all the bloatware and change registry settings to get many of the same effects that IOT and LTSC offer, except maybe the update schedules. 

WIn 10 hits EOL this fall. But the IOT and LTSC licenses don’t expire for 5-7 years from now. MS will continue issuing security updates for them, but not the regular crap the Home and Pro users get pummeled with week after week. 

It’s those damned updates that introduce instabilities and reset settings that cause other problems for consumers — a HUGE waste of time and resources for us. In embedded applications they can prove extremly dangerous. So that’s what the IOS and LTSC versions are for — situations that require long-term stability. 

Instead of EOLing the Home and Pro versions, they should just replace them with IOS LTSC licenses. They COULD, but they won’t. It would cut into revenues they’ll get from all the bloatware and custom configurations that forcing people to upgrade to Win 11 will give them.

I read something that said the transition from Win10 to Win11 is adding $1T to Microsoft’s overall valuation. That seems over-blown, but I can see hundreds of billions.

These are all options MS has been selling since Win10, although many go back years:

Windows Home
Windows Pro
Windows Server
Windows Enterprise
Windows IOT Enterprise
Windows LTSC Enterprise
Windows IOT LTSC Enterprise
. . .
several others mostly for developers and corporate use.

From what I’ve seen, many use the same ISO and are configured based on the key you use to activate it.

For use in my VMs, I prefer long-term stability. I hate that when I don’t type anything for a few minutes, windows goes into some internal maintenance mode and the background CPU activity suddenly hits 80%. I have no idea what it’s doing. I can’t shut it off. And I despise all of the damned updates it keeps shoving down even though I’ve disabled the updater. This is what the IOS LTSC versions are for. But when I searched for that use case, a lot of comments advised against it, mostly gamers who complain that IOS and/or LTSC cause performance issues. I think they’re missing the point. These licenses are built for LONG-TERM STABILITY — NOT HIGH-PERFORMANCE. It’s particularly ironic considering most gamers have hardware that are totally jacked-up using hacks that operate the CPU and other chips well beyond Manufacturer recommendations. Their tolerance is a few % — something that most typical users would never notice, nor even developers.

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss